<template>
  <div  class="self-container">
    <div class="img"></div>
    <div class="tips">
      {{msg}}
    </div>
  </div>
</template>

<script>
export default {
  data() {
	  return {
      msg: '因网络波动暂时无法办理，请到人工收件窗口办理！'
    }
	},
  created() {
    if(this.$route.query.msg != null){
      this.msg = this.$route.query.msg;
    }
    this.init();
  },
  mounted () {
    // 将Vue方法传到全局对象window中
    window.playAudioCallback = this.playAudioCallback;
  },
	methods:{
		init() {
      if(robotType){
        robotsdk.playAudio({
          cmd: 'playAudio',
          animation: 0,
          videocontent: this.msg,
          callback: "playAudioCallback"
        });
      }
		},
    playAudioCallback(){
		  //跳转到咨询页面
      robotsdk.closeExternalApp({
        mode:0
      });
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  .self-container {
    background-image: url('../assets/images/background.png');
    background-repeat: no-repeat;
    background-size: cover;
    overflow: auto;
    height: 100%;
    padding: 0;
    margin: 0;
  }

  .img {
    background-image: url('../assets/images/ico/ico_warn.png');
    background-repeat: no-repeat;
    overflow: auto;
    width: 204px;
    height: 184px;
    position: absolute;
    top: 48%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .tips{
    width: 100%;
    color: #ffffffc9;
    font-size: 24px;
    position: absolute;
    bottom: 27%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
</style>
